> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Document

> Downloads a submission document by type. Returns the PDF as a streamed response.



## OpenAPI

````yaml get /submission/{displayId}/{transactionId}/documents/{type}
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/{transactionId}/documents/{type}:
    get:
      tags:
        - Submission Data
      summary: Download Document
      description: >-
        Downloads a submission document by type. Returns the PDF as a streamed
        response.
      operationId: downloadDocument
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: integer
        - name: type
          in: path
          description: Document type
          required: true
          schema:
            type: string
            enum:
              - quote
              - binder
              - binder_al
              - binder_apd
              - binder_mtc
              - binder_tgl
              - binder_ntl
              - policy_al
              - policy_apd
              - policy_mtc
              - policy_tgl
              - policy_ntl
              - certificate
              - invoice
      responses:
        '200':
          description: PDF document stream
          content:
            application/pdf: {}
        '401':
          description: Unauthorized
        '404':
          description: Submission or document not found
        '422':
          description: Invalid document type
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````